package intrinsic.mx.controls.treeClasses;

public class DefaultDataDescriptor extends Object implements intrinsic.mx.controls.treeClasses.ITreeDataDescriptor, intrinsic.mx.controls.menuClasses.IMenuDataDescriptor {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DefaultDataDescriptor() {
}


/** Static Methods */

/** Methods */
public native boolean hasChildren(Object arg0);
public native boolean hasChildren(Object arg0, Object arg1);
public native void setEnabled(Object arg0, boolean arg1);
public native boolean isBranch(Object arg0);
public native boolean isBranch(Object arg0, Object arg1);
public native intrinsic.mx.collections.ICollectionView getChildren(Object arg0);
public native intrinsic.mx.collections.ICollectionView getChildren(Object arg0, Object arg1);
public native boolean removeChildAt(Object arg0, Object arg1, int arg2);
public native boolean removeChildAt(Object arg0, Object arg1, int arg2, Object arg3);
public native boolean isToggled(Object arg0);
public native boolean addChildAt(Object arg0, Object arg1, int arg2);
public native boolean addChildAt(Object arg0, Object arg1, int arg2, Object arg3);
public native String getType(Object arg0);
public native Object getData(Object arg0);
public native Object getData(Object arg0, Object arg1);
public native void setToggled(Object arg0, boolean arg1);
public native boolean isEnabled(Object arg0);
public native String getGroupName(Object arg0);

/* TEMPORARY CODE */
public native boolean _hasChildren(Object arg0, Object arg1);
public native boolean _removeChildAt(Object arg0, Object arg1, int arg2, Object arg3);
public native boolean _addChildAt(Object arg0, Object arg1, int arg2, Object arg3);
public native intrinsic.mx.collections.ICollectionView _getChildren(Object arg0, Object arg1);
public native Object _getData(Object arg0, Object arg1);
public native boolean _isBranch(Object arg0, Object arg1);
}
